tcl_calls.d(1m)

NAME
tcl_calls.d - count Tcl calls (method/...) using DTrace.

SYNOPSIS
tcl_calls.d

DESCRIPTION
This traces activity from all Tcl processes on the system with DTrace provider support (tcl8.4.16). TYPEs:
inst    instruction

OS
Any

STABILITY
Evolving - uses the DTrace Tcl provider, which may change as additional features are introduced. Check Tcl/Readme to see what version these scripts are based on.

EXAMPLES

Default output,
    # tcl_calls.d

FIELDS

PID Process ID

TYPE
    Type of call (see below)

NAME
    Name of call

COUNT
    Number of calls during sample

DOCUMENTATION
See the DTraceToolkit for further documentation under the Examples, Notes and Docs directories. The example files may be especially useful as they aim to demonstrate how to interpret the output.

EXIT
tcl_calls.d will run until Ctrl-C is hit.

AUTHOR
Brendan Gregg [CA, USA]

SEE ALSO
dtrace(1M)